Bug 206091 - changing lvm device minor numbers doesn't work
Summary: changing lvm device minor numbers doesn't work
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2   
(Show other bugs)
Version: 4.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Alasdair Kergon
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-11 22:52 UTC by Corey Marthaler
Modified: 2007-11-17 01:14 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0287
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-08 00:09:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0287 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2007-04-28 19:01:34 UTC

Description Corey Marthaler 2006-09-11 22:52:40 UTC
Description of problem:
Allow this works in the rhel 5 beta, I was surprised to find that it doesn't
work in rhel4u4.

In single node lvm:
[root@taft-03 lvm]# lvcreate -L 1G -n foo vg
  Logical volume "foo" created
[root@taft-03 lvm]# dmsetup ls
vg-foo  (253, 2)
VolGroup00-LogVol01     (253, 1)
VolGroup00-LogVol00     (253, 0)
[root@taft-03 lvm]# lvchange -My --minor 100 --major 200 /dev/vg/foo
Logical volume foo will be deactivated temporarily. Continue? [y/n]: y
  Logical volume "foo" changed
[root@taft-03 lvm]# dmsetup ls
vg-foo  (253, 2)
VolGroup00-LogVol01     (253, 1)
VolGroup00-LogVol00     (253, 0)


Version-Release number of selected component (if applicable):
[root@taft-03 lvm]# rpm -q lvm2
lvm2-2.02.06-6.0.RHEL4

How reproducible:
everytime

Comment 1 Milan Broz 2006-11-01 16:51:15 UTC
Fixed in 2.02.07 for persistent minor numbers.


Comment 2 Corey Marthaler 2006-11-01 17:12:04 UTC
fix verified lvm2-2.02.13-1

[root@link-08 lvm]# lvchange -My --minor 100 --major 200 /dev/vg/lv
Logical volume lv will be deactivated temporarily. Continue? [y/n]: y
  Logical volume "lv" changed
[root@link-08 lvm]# dmsetup ls
vg-lv   (253, 100)


Comment 6 Red Hat Bugzilla 2007-05-08 00:09:42 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0287.html


Note You need to log in before you can comment on or make changes to this bug.